Skip to main content

Feedback

7 API calls in this section.

Submit Feedback

Communications & Feedback / Feedback
POST/feedback/submit?tenant_id={{tenant_id}}
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/feedback/submit?tenant_id={{tenant_id}}" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json" \4  --header "Content-Type: application/json" \5  --data '{6  "type": "BugReport",7  "severity": "Normal",8  "description": "Steps to reproduce...",9  "attachments": [10    "https://cdn.example.com/feedback/img-1.png",11    "https://cdn.example.com/feedback/vid-1.mp4"12  ],13  "source_panel": "admin",14  "path": "/dashboard",15  "locale": "en",16  "timezone": "UTC"17}'
Request body
json
1{2  "type": "BugReport",3  "severity": "Normal",4  "description": "Steps to reproduce...",5  "attachments": [6    "https://cdn.example.com/feedback/img-1.png",7    "https://cdn.example.com/feedback/vid-1.mp4"8  ],9  "source_panel": "admin",10  "path": "/dashboard",11  "locale": "en",12  "timezone": "UTC"13}

Query parameters

tenant_idOptional
query string

{{tenant_id}}

Request body fields

typeExample
string

Example field from the request body.

severityExample
string

Example field from the request body.

descriptionExample
string

Example field from the request body.

attachmentsExample
array<string>

Example field from the request body.

source_panelExample
string

Example field from the request body.

pathExample
string

Example field from the request body.

localeExample
string

Example field from the request body.

timezoneExample
string

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Content-TypeOptional
header string

application/json

Responses

No response example is available for this endpoint yet.

List Feedbacks

Communications & Feedback / Feedback
GET/feedback/feedbacks?tenant_id={{tenant_id}}&status=&type=&severity=&from=&to=&page=1&limit=25
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/feedback/feedbacks?tenant_id={{tenant_id}}&status=&type=&severity=&from=&to=&page=1&limit=25" \2  --header "Authorization: Bearer {{access_token}}"

Query parameters

tenant_idOptional
query string

{{tenant_id}}

statusOptional
query string
typeOptional
query string
severityOptional
query string
fromOptional
query string
toOptional
query string
pageOptional
query string

1

limitOptional
query string

25

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Get Feedback

Communications & Feedback / Feedback
GET/feedback/feedbacks/:id
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/feedback/feedbacks/:id" \2  --header "Authorization: Bearer {{access_token}}"

Path parameters

idRequired
path string

uuid

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Update Feedback Status

Communications & Feedback / Feedback
PATCH/feedback/feedbacks/:id
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request PATCH "$ONDI_BASE_URL/feedback/feedbacks/:id" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json" \4  --header "Content-Type: application/json" \5  --data '{6  "status": "Reviewed"7}'
Request body
json
1{2  "status": "Reviewed"3}

Path parameters

idRequired
path string

uuid

Request body fields

statusExample
string

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Content-TypeOptional
header string

application/json

Responses

No response example is available for this endpoint yet.

Get Feedback Settings

Communications & Feedback / Feedback
GET/feedback/feedback-settings
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/feedback/feedback-settings" \2  --header "Authorization: Bearer {{access_token}}"

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Update Feedback Settings

Communications & Feedback / Feedback
PUT/feedback/feedback-settings
Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request PUT "$ONDI_BASE_URL/feedback/feedback-settings" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json" \4  --header "Content-Type: application/json" \5  --data '{6  "send_on_received": true,7  "send_on_resolved": true,8  "send_to_system_admin": true,9  "system_admin_emails": [10    "ops@example.com"11  ]12}'
Request body
json
1{2  "send_on_received": true,3  "send_on_resolved": true,4  "send_to_system_admin": true,5  "system_admin_emails": [6    "ops@example.com"7  ]8}

Request body fields

send_on_receivedExample
boolean

Example field from the request body.

send_on_resolvedExample
boolean

Example field from the request body.

send_to_system_adminExample
boolean

Example field from the request body.

system_admin_emailsExample
array<string>

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Content-TypeOptional
header string

application/json

Responses

No response example is available for this endpoint yet.

Enums

Communications & Feedback / Feedback
GET/

FeedbackType: FeatureRequest | BugReport | Feedback FeedbackSeverity: Urgent | High | Normal | Low FeedbackStatus (server-managed): Received | Reviewed | Applied

Most OnDi APIs require an authenticated session or service token. Public endpoints are marked by their path and module context.
Request
curl
1curl --request GET "$ONDI_BASE_URL/" \2  --header "Authorization: Bearer $ONDI_ACCESS_TOKEN"

Responses

No response example is available for this endpoint yet.